import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getProvinceNewRequests = createAsyncThunk(
  "GET_PROVINCE_NEW_REQUESTS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("city_operator_check_request", {
      params: { state: "new", date1: d.selectedDate1, date2: d.selectedDate2 },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
